2018-05-24 16:38 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0003104FSSCPBuild systempublic2015-04-22 16:23
ReporterMageKing17 
Assigned ToMageKing17 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindowsOS Version
Product Version 
Target VersionFixed in Version 
Summary0003104: MSVC project files: "Release AVX" actually just SSE2 with different name
DescriptionWhile the "Debug AVX" has optimization set to "Advanced Vector Extensions" as you'd expect, the "Release AVX" profile (on all project files) is set to "Steaming SIMD Extensions 2", making them just SSE2 builds with "AVX" in the filename (I did think it was odd that my old processor, which did not support AVX, seemed to have no problem running The_E's original test build).
Additional InformationI know the project files have been in need of cleanup (and I think cmake is supposed to help in that regard?), but when I came across this particular oddity, I wasn't sure if it should be fixed by itself before a more general cleanup. On the one hand, it's the most egregious problem I've seen in the project files (compared to, say, copying a file twice). On the other hand, AVX builds still aren't included in release posts. On balance, I decided to just create this issue without a target version and see what other people thought.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016651

MageKing17 (developer)

Fix committed to trunk@11318.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2014-09-11 19:21 MageKing17 New Issue
2014-09-11 19:21 MageKing17 Status new => assigned
2014-09-11 19:21 MageKing17 Assigned To => chief1983
2015-04-22 16:23 MageKing17 Assigned To chief1983 => MageKing17
2015-04-22 16:23 MageKing17 Changeset attached => fs2open trunk r11318
2015-04-22 16:23 MageKing17 Note Added: 0016651
2015-04-22 16:23 MageKing17 Status assigned => resolved
2015-04-22 16:23 MageKing17 Resolution open => fixed
+Issue History